org.eclipse.emf.cdo.transfer.ui

## Class TransferDropAdapter

- java.lang.Object
- - org.eclipse.swt.dnd.DropTargetAdapter
  - - org.eclipse.jface.viewers.ViewerDropAdapter
    - - org.eclipse.net4j.util.ui.dnd.DNDDropAdapter<java.lang.Object>
      - - org.eclipse.emf.cdo.transfer.ui.TransferDropAdapter

- All Implemented Interfaces:
    java.util.EventListener, DropTargetListener, org.eclipse.swt.internal.SWTEventListener

      public class TransferDropAdapter
      extends DNDDropAdapter<java.lang.Object>

  A `drop adapter` that can `support` a `viewer` to create and perform `transfers` of the dragged elements to target `elements`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

      `LOCATION_AFTER, LOCATION_BEFORE, LOCATION_NONE, LOCATION_ON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferDropAdapter(StructuredViewer viewer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IManagedContainer` | `getContainer()`
    `protected java.util.List<CDOTransferElement>` | `getSourceElements(java.lang.Object data)`
    `protected CDOTransferElement` | `getTargetElement(java.lang.Object target)`
    `protected TransferUIProvider[]` | `getUIProviders()`
    `protected boolean` | `performDrop(java.lang.Object data, java.lang.Object target)`
    `static TransferDropAdapter` | `support(StructuredViewer viewer)`
    `protected boolean` | `validateTarget(java.lang.Object target, int operation)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.dnd.DNDDropAdapter

      `determineLocation, getTransfers, getViewer, isDropBetweenEnabled, performDrop, setDropBetweenEnabled, setTransfers, validateDrop, validateTransfer`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

      `clearState, determineTarget, dragEnter, dragOperationChanged, dragOver, drop, dropAccept, getBounds, getCurrentEvent, getCurrentLocation, getCurrentOperation, getCurrentTarget, getFeedbackEnabled, getSelectedObject, getThreshold, handleException, overrideOperation, setExpandEnabled, setFeedbackEnabled, setScrollEnabled, setScrollExpandEnabled, setSelectionFeedbackEnabled`

    - ### Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter

      `dragLeave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferDropAdapter

          public TransferDropAdapter(StructuredViewer viewer)

  - ### Method Detail

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getUIProviders

          protected TransferUIProvider[] getUIProviders()

    - #### validateTarget

          protected boolean validateTarget(java.lang.Object target,
                                           int operation)

      Specified by:
        `validateTarget` in class `DNDDropAdapter<java.lang.Object>`

    - #### performDrop

          protected boolean performDrop(java.lang.Object data,
                                        java.lang.Object target)

      Specified by:
        `performDrop` in class `DNDDropAdapter<java.lang.Object>`

    - #### getSourceElements

          protected java.util.List<CDOTransferElement> getSourceElements(java.lang.Object data)

    - #### getTargetElement

          protected CDOTransferElement getTargetElement(java.lang.Object target)

    - #### support

          public static TransferDropAdapter support(StructuredViewer viewer)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html